#!/bin/sh
SRC=$USERDATAPATH
DEST=/mnt/mtdblock
DEST3=/mnt/mtdblock/data

ifconfig eth0 192.168.1.201 up
mknod /dev/sdb b 8 16
mknod /dev/sdc b 8 32
mknod /dev/sdd b 8 48
mknod /dev/sde b 8 64
ALGOLIB=/mnt/mtdblock/libzkfp.so.3.5.1
if [ -f $DEST/mgetty ]; then
	cp $DEST/mgetty /sbin
fi

if [ -f $DEST/pppd ]; then
	cp $DEST/pppd /usr/sbin
	chmod u+x /usr/sbin/pppd
fi

if [ -f  /mnt/mtdblock/lib/libfpsensor.so ]; then
	ln -s /mnt/mtdblock/lib/libfpsensor.so /lib/libfpsensor.so -f
fi

export FPSENSORLIB_PATH=/mnt/mtdblock/lib/fpsensor_lib

if [ -f $ALGOLIB ]; then
ln -s /mnt/mtdblock/libzkfp.so.3.5.1  /lib/libzkfp.so.3 
ln -s /mnt/mtdblock/libzkfp.so.3.5.1  /lib/libzkfp.so -f
ln -s /mnt/mtdblock/libcam.so  /lib/libcam.so -f
fi

ln -s /mnt/mtdblock/libdl.so.2  /lib/libdl.so.2 -f

if [ -f $DEST3/extlog.dat ]; then
    echo "extlog in /mnt/mtdblock/data"

else
    if [ -f $DEST/extlog.dat ]; then
        mv $DEST/extlog.dat $DEST/data/ && cd $DEST && rm $DEST/extlog.dat && sync
    fi
fi

if [ -f $DEST3/transaction.dat ]; then
    echo "transaction in /mnt/mtdblock/data"
else
    if [ -f $DEST/transaction.dat ]; then
        mv $DEST/transaction.dat $DEST/data/ && cd $DEST && rm $DEST/transaction.dat && sync
    fi
fi

if [ -d $DEST/drivers/ ]; then
  mv $DEST/drivers $DEST/data/
fi

if [ -f  /mnt/mtdblock/drivers/videodev.o ]; then
	insmod /mnt/mtdblock/drivers/videodev.o
else
	if [ -f  $DEST3/drivers/videodev.o ]; then
		insmod $DEST3/drivers/videodev.o
	fi
fi
		
if [ -f  /mnt/mtdblock/drivers/spca5xx.o ]; then
	insmod /mnt/mtdblock/drivers/spca5xx.o
else
	if [ -f  $DEST3/drivers/spca5xx.o ]; then
		insmod $DEST3/drivers/spca5xx.o
	fi
fi

if [ -f $DEST/0.wav ]; then
        rm $DEST/?.wav $DEST/??.wav -rf && sync
fi
if [ -f $DEST/language.tgz ]; then
        cd $DEST && chmod u+x language.tgz && rm -rf LANGUAGE.* && tar zxf language.tgz && rm -rf language.tgz
fi
                                
if [ -f $DEST/res.tgz ]; then
        cd $DEST && chmod u+x res.tgz && rm -rf *_*.wav && tar zxf res.tgz && rm -rf res.tgz
fi
                                        
if [ -f $DEST/drivers/hv7131-camera.o ]; then
        insmod $DEST/drivers/hv7131-camera.o
else
	if [ -f $DEST3/drivers/hv7131-camera.o ]; then
		insmod $DEST3/drivers/hv7131-camera.o
	fi
fi

if [ -f $DEST/drivers/cim-camera.o ]; then
        insmod $DEST/drivers/cim-camera.o
else
	if [ -f $DEST3/drivers/cim-camera.o ]; then
		insmod $DEST3/drivers/cim-camera.o
	fi
fi

if [ -f $DEST/drivers/wiegand.o ]; then
        insmod $DEST/drivers/wiegand.o
else
	if [ -f $DEST3/drivers/wiegand.o ]; then
		insmod $DEST3/drivers/wiegand.o
	fi
fi

if [ -f $DEST/drivers/dummy.o ]; then
        insmod $DEST/drivers/dummy.o
else
	if [ -f $DEST3/drivers/dummy.o ]; then
		insmod $DEST3/drivers/dummy.o
	fi
fi

if [ -f $DEST/main.gz ]; then
	cd $DEST && rm main && gunzip main.gz && sync
fi 

if [ -f /mnt/mtdblock/libwebserver.tgz ]; then
	tar zxvf /mnt/mtdblock/libwebserver.tgz -C /lib
fi


if [ -f $DEST/main ]; then 
	cd $DEST && chmod u+x $DEST/main && $DEST/main
fi

if [ -f $DEST/wdt.gz ]; then
	cd $DEST && rm wdt && gunzip wdt.gz && sync
fi 

if [ -f /mnt/mtdblock/RS232FunOn.dat ]; then
	if [ -f /mnt/mtdblock/wdt ]; then
		/mnt/mtdblock/wdt -p 5 -t 3600&
	fi
else
	if [ -f /mnt/mtdblock/wdt ]; then
		/mnt/mtdblock/wdt -p 5 -t 3600
	fi
fi
